<?php
/**
 * File information.
 * Created at: 21:24 - 15/05/2020
 */
namespace KLM\App\Http\Controllers;

/**
 * Class InitController.
 *
 * @package KLM\App\Http\Controllers
 */
class InitController {

	/**
	 * InitController constructor.
	 */
	public function __construct() {}

	/**
	 * Run class.
	 */
	public function run() {

		// Add rewrite rules.
		$this->addRewriteRule();

		// Register post type is "kdn_link_mask".
		$this->registerPostType_kdn_link_mask();

	}

	/**
	 * Add rewrite rules.
	 */
	public function addRewriteRule() {

		// Do not allow users see parent namespace.
		add_rewrite_rule( '^' . rest_get_url_prefix() . '/?$', 'index.php', 'top' );

		// Custom rest API route namespace.
		add_rewrite_rule( '^api/(.*)?', 'index.php?rest_route=/$matches[1]', 'top' );

	}

	/**
	 * Register post type is "kdn_link_mask".
	 */
	public function registerPostType_kdn_link_mask() {

		// Prepare all labels.
		$labels = [
			'name'                  => _klm('KDN Link Mask'),
			'singular_name'         => _klm('Link mask'),
			'add_new'               => _klm('Add new'),
			'add_new_item'          => _klm('Add new link mask'),
			'new_item'              => _klm('New link mask'),
			'edit_item'             => _klm('Edit link mask'),
			'view_item'             => _klm('View link mask'),
			'all_items'             => _klm('KDN Link Mask'),
			'search_items'          => _klm('Search link masks'),
			'parent_item_colon'     => _klm('Parent link mask:'),
			'not_found'             => _klm('No link masks found.'),
			'not_found_in_trash'    => _klm('No link masks found in Trash.'),
			'featured_image'        => _klm('Link mask cover image'),
			'set_featured_image'    => _klm('Set cover image'),
			'remove_featured_image' => _klm('Remove cover image'),
			'use_featured_image'    => _klm('Use as cover image'),
			'archives'              => _klm('Link mask archives'),
			'insert_into_item'      => _klm('Insert to link mask'),
			'uploaded_to_this_item' => _klm('Uploaded to this link mask'),
			'filter_items_list'     => _klm('Filter link masks list'),
			'items_list_navigation' => _klm('Link masks list navigation'),
			'items_list'            => _klm('Link masks list'),
			'menu_name'             => _klm('KDN Link Mask'),
			'name_admin_bar'        => _klm('KDN Link Mask'),
		];

		/**
		 * Post type "odr_templates".
		 */

		// Prepare all arguments.
		$args = [
			'labels'             	=> $labels,
			'menu_icon' 			=> 'dashicons-clipboard',
			'public'             	=> false,
			'publicly_queryable' 	=> true,
			'show_ui'            	=> true,
			'show_in_menu'       	=> 'plugins.php',
			'show_in_nav_menus' 	=> false,
			'exclude_from_search' 	=> true,
			'query_var'          	=> true,
			'rewrite'            	=> false,
			'capability_type'    	=> 'post',
			'map_meta_cap' 			=> true,
			'has_archive'        	=> false,
			'hierarchical'       	=> false,
			'supports'           	=> ['title']
		];

		// Register post type "kdn_link_mask".
		register_post_type('kdn_link_mask', $args);

	}

}