<?php
/**
 * File information.
 * Created at: 23:03 - 16/05/2020
 */
namespace KLM\App\Http\Controllers;

/**
 * Class PostController.
 *
 * @package KLM\App\Http\Controllers
 */
class PostController {

	/**
	 * PostController constructor.
	 */
	public function __construct() {}

	/**
	 * Action when save post of post type "kdn_link_mask".
	 *
	 * @param	int			$postId
	 * @param 	\WP_Post	$post
	 * @param	bool		$update
	 */
	public function savePost_kdn_link_mask($postId, $post, $update) {

		// If have import data, just import settings data.
		if (isset($_POST['_klm_import']) && $_POST['_klm_import']) {

			// Prepare settings.
			$klmSettings = base64_decode($_POST['_klm_import'], true);
			$klmSettings = json_decode($klmSettings, true);

		}
		// Otherwise, save settings.
		else {

			// Do not save export code field.
			unset($_POST['_klm_export']);

			// Prepare settings.
			$klmSettings = [];
			foreach ($_POST as $key => $value) {
				if (strpos($key, '_klm_') !== false) {

					if (is_array($value)) {
						$value = array_values($value);
					}

					$klmSettings[$key] = $value;
				}
			}

		}

		// Save settings to only one post meta.
		update_post_meta($postId, '_klm_settings', $klmSettings);

	}

}