<?php
/**
 * File information.
 * Created at: 18:29 - 15/05/2020
 */
namespace KLM\Routes;
use KLM\App\Http\Controllers\AssetsController;
use KLM\App\Http\Controllers\InitController;
use KLM\App\Http\Controllers\MetaBoxesController;
use KLM\App\Http\Controllers\PostController;
use KLM\App\Http\Controllers\RestAPIController;

/**
 * Class Web.
 *
 * @package	KLM\Routes
 */
class Web {

	/**
	 * @var \KLM\App\Http\Controllers\InitController
	 */
	private $initController;
	/**
	 * @var \KLM\App\Http\Controllers\MetaBoxesController
	 */
	private $metaBoxesController;
	/**
	 * @var \KLM\App\Http\Controllers\AssetsController
	 */
	private $assetsController;
	/**
	 * @var \KLM\App\Http\Controllers\PostController
	 */
	private $postController;
	/**
	 * @var \KLM\App\Http\Controllers\RestAPIController
	 */
	private $restAPIController;

	/**
	 * Web constructor.
	 */
	public function __construct() {

		// Initialize classes.
		$this->initController = new InitController();
		$this->metaBoxesController = new MetaBoxesController();
		$this->assetsController = new AssetsController();
		$this->postController = new PostController();
		$this->restAPIController = new RestAPIController();

		// Add actions and filters.
		$this->addAction();
		$this->addFilter();

	}

	/**
	 * Add actions.
	 */
	public function addAction() {

		/**
		 * Init actions.
		 */
		add_action('init', [$this->initController, 'run']);
		add_action('add_meta_boxes', [$this->metaBoxesController, 'run']);
		add_action('admin_enqueue_scripts', [$this->assetsController, 'adminEnqueueScripts']);
		add_action('save_post_kdn_link_mask', [$this->postController, 'savePost_kdn_link_mask'], 10, 3);
		add_action('rest_api_init', [$this->restAPIController, 'run']);

	}

	/**
	 * Add filters.
	 */
	public function addFilter() {

	}

}