<?php
/**
 * File information.
 * Created at: 21:39 - 15/05/2020
 */

/**
 * A replacement function for translatable texts.
 *
 * @param   string      $string     Text to be translated.
 * @return  string                  Translated text.
 *
 * @since   1.0.1
 */
function _klm($string) {

	// Return translated string.
	return __($string, 'kdn-link-mask');

}

/**
 * Debug log.
 *
 * @param   mixed       $message    The debug message.
 * @param   bool        $varDump    Whether to debug with "var_dump" or not.
 *
 * @since   1.0.1
 */
function _klm_debug($message = '', $varDump = false) {

	// If "var_dump" mode is OFF.
	if (!$varDump) {

		// Error log the message.
		error_log(print_r($message, true));

		// Otherwise, do this.
	} else {

		// Start buffer capture.
		ob_start();

		// Dump the values.
		var_dump($message);

		// Put the buffer into a variable.
		$message = ob_get_contents();

		// End capture.
		ob_end_clean();

		// Error log the message.
		error_log(print_r($message, true));

	}

}

/**
 * Determine if a given string starts with a given substring.
 *
 * @param  	string  		$haystack
 * @param  	string|array  	$needles
 * @return 	bool
 */
if (!function_exists('starts_with')) {
	function starts_with($haystack, $needles) {
		$length = strlen($needles);
		return (substr($haystack, 0, $length) === $needles);
	}
}