<table class="klm-settings">

	<input type="hidden" name="url_hash"/>

	{{-- NAVIGATION --}}
	<div class="nav-tab-wrapper">
		<a href="#" data-tab="#post_request_settings" class="nav-tab nav-tab-active">{{ _klm('Request settings') }}</a>
		<a href="#" data-tab="#post_response_settings"  class="nav-tab ">{{ _klm('Response settings') }}</a>
	</div>

	{{-- REQUEST SETTINGS --}}
	<tbody id="post_request_settings">

		{{-- BASE URI --}}
		<tr id="post_base_uri">
			<td>
				@include('form-items/label', [
					'for'   => '_klm_base_uri',
					'title' => _klm('Base URI'),
					'info'  => _klm('Enter the base URI of target URL. Eg: https://kdnautoleech.com.')
				])
			</td>
			<td>
				@include('form-items/text', [
					'name'			=> '_klm_base_uri',
					'type'          => 'text',
					'placeholder'	=> 'Enter the main URL of target URL.'
				])
			</td>
		</tr>

		{{-- METHOD --}}
		<tr id="post_method">
			<td>
				@include('form-items/label', [
					'for'   => '_klm_method',
					'title' => _klm('Method'),
					'info'  => _klm('Select a method to request to target URL.')
				])
			</td>
			<td>
				@include('form-items/select', [
					'name'      =>  '_klm_method',
					'options'   =>  \KLM\Constants::$defaultMethods,
				])
			</td>
		</tr>

		{{-- PARAMETERS --}}
		<tr id="post_parameters">
			<td>
				@include('form-items/label', [
					'for'   => '_klm_parameters',
					'title' => _klm('Parameters'),
					'info'  => _klm('Add some parameters to this request.')
				])
			</td>
			<td>
				@include('form-items/multiple', [
					'include'       	=> 'form-items/key-value',
					'name'          	=> '_klm_parameters',
					'addKeys'       	=> true,
					'keyPlaceholder'	=> 'Key',
					'valuePlaceholder'	=> 'Value',
				])
			</td>
		</tr>

		{{-- HEADERS --}}
		<tr id="post_headers">
			<td>
				@include('form-items/label', [
					'for'   => '_klm_headers',
					'title' => _klm('Headers'),
					'info'  => _klm('Custom headers for this request.')
				])
			</td>
			<td>
				@include('form-items/multiple', [
					'include'       	=> 'form-items/key-value',
					'name'          	=> '_klm_headers',
					'addKeys'       	=> true,
					'keyPlaceholder'	=> 'Name',
					'valuePlaceholder'	=> 'Value',
				])
			</td>
		</tr>

		{{-- COOKIES --}}
		{{--	<tr id="post_cookies">--}}
		{{--		<td>--}}
		{{--			@include('form-items/label', [--}}
		{{--				'for'   => '_klm_cookies',--}}
		{{--				'title' => _klm('Cookies'),--}}
		{{--				'info'  => _klm('xxx.')--}}
		{{--			])--}}
		{{--		</td>--}}
		{{--		<td>--}}
		{{--			@include('form-items/multiple', [--}}
		{{--				'include'       	=> 'form-items/key-value',--}}
		{{--				'name'          	=> '_klm_cookies',--}}
		{{--				'addKeys'       	=> true,--}}
		{{--				'keyPlaceholder'	=> 'Cookie name',--}}
		{{--				'valuePlaceholder'	=> 'Cookie value',--}}
		{{--			])--}}
		{{--		</td>--}}
		{{--	</tr>--}}

	</tbody>

	{{-- RESPONSE SETTINGS --}}
	<tbody id="post_response_settings" class="hidden">

		{{-- AUTO CONTENT TYPE --}}
		<tr id="post_auto_content_type_header">
			<td>
				@include('form-items/label', [
					'for'   => '_klm_auto_content_type',
					'title' => _klm('Auto content type'),
					'info'  => _klm('Activate auto content for response data or not?')
				])
			</td>
			<td>
				@include('form-items/checkbox', [
					'name'      => '_klm_auto_content_type'
				])
			</td>
		</tr>

	</tbody>

</table>