<?php
/**
 * Plugin Name:     	KDN Link Mask
 * Description:     	<strong>Access to links through a mask layer.</strong>
 * Version:         	1.0.1
 * Requires at least:   5.2
 * Requires PHP:        7.2
 * Plugin URI:      	https://kdnautoleech.com
 * Author:          	KDN Auto Leech
 * Author URI:      	https://kdnautoleech.com
 * Text Domain:     	kdn-link-mask
 * Domain Path:     	core/app/lang
 * License:				GPLv3
 * License URI:			https://www.gnu.org/licenses/gpl-3.0.html
 */

// Exit if accessed directly.
if (!defined('ABSPATH')) {
	exit;
}

/**
 * Require some files.
 */

if (!function_exists('get_plugin_data')) {
	require_once(ABSPATH . 'wp-admin/includes/plugin.php');
}

if (!function_exists('wp_get_current_user')) {
	require_once(ABSPATH . 'wp-includes/pluggable.php');
}

// Defined some constants.
if (!defined('KLM_PATH')) {

	/**
	 * The plugin path with a trailing slash.
	 */
	define('KLM_PATH', trailingslashit(plugin_dir_path(__FILE__)));
	define('KLM_MAINFILE_PATH', __FILE__);
	define('KLM_URL', trailingslashit(plugin_dir_url(__FILE__)));
	define('KLM_PUBLIC', trailingslashit(plugin_dir_url(__FILE__)) . 'core/public/');
	define('KLM_VERSION', get_plugin_data(__FILE__)['Version']);

}

// Require autoload.
require_once 'core/vendor/autoload.php';

// Call to routes.
new \KLM\Routes\Web();